- Qt 5.15
- Qt Sensors
- C++ Classes
- QSensorGestureManager
- Qt 5.15.18 Reference Documentation

# QSensorGestureManager Class

The QSensorGestureManager class manages sensor gestures, registers and creates sensor gesture plugins. More...

Header: | #include <QSensorGestureManager>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QObject

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QSensorGestureManager(QObject *parent = Q_NULLPTR)
virtual | ~QSensorGestureManager()
QStringList | gestureIds() const
QStringList | recognizerSignals(const QString &gestureId) const
bool | registerSensorGestureRecognizer(QSensorGestureRecognizer *recognizer)

## Signals

void | newSensorGestureAvailable()

## Static Public Members

QSensorGestureRecognizer * | sensorGestureRecognizer(const QString &id)

## Detailed Description

Sensor Gesture plugins register their recognizers using the registerSensorGestureRecognizer() function.

     // Create a QSensorGestureManager
         QSensorGestureManager gestureManager;

     // Get a list of known recognizers
         QStringList recognizersList = gestureManager.gestureIds();

     // Create a QSensorGeture object for each of those gesture recognizers
             QSensorGesture *gesture = new QSensorGesture( gestureManager.gestureIds(), this);
     // Connect the known signals up.
             connect(gesture, SIGNAL(detected(QString)), this, SLOT(gestureDetected(QString)));

## Member Function Documentation

### QSensorGestureManager::QSensorGestureManager(QObject *parent = Q_NULLPTR)

Constructs the QSensorGestureManager as a child of parent

### `[signal]` void QSensorGestureManager::newSensorGestureAvailable()

Signals when a new sensor gesture becomes available for use.

### `[virtual]` QSensorGestureManager::~QSensorGestureManager()

Destroy the QSensorGestureManager

### QStringList QSensorGestureManager::gestureIds() const

Returns the list of the currently registered gestures. Includes all the standard built-ins as well as available plugins.

### QStringList QSensorGestureManager::recognizerSignals(const QString &gestureId) const

Returns the list of all the gesture signals for the registered gestureId gesture recognizer id.

### bool QSensorGestureManager::registerSensorGestureRecognizer(QSensorGestureRecognizer *recognizer)

Registers the sensor recognizer recognizer for use. QSensorGestureManager retains ownership of the recognizer object. Returns true unless the gesture has already been registered, in which case the object is deleted.

### `[static]` QSensorGestureRecognizer *QSensorGestureManager::sensorGestureRecognizer(const QString &id)

Returns the sensor gesture object for the recognizer id.